Subject: Re: [v4.12 regression] netns: NULL deref in fib_sync_down_dev()

From: Ido Schimmel <[email-masked]>
Date: Fri, 28 Jul 2017 19:43:31 +0300

On Fri, Jul 28, 2017 at 06:00:47PM +0200, Michał Mirosław wrote:
> Dear NetDevs,
> 
> Before I go to bisecting, have you seen a following NULL dereference,
> yet?  Where should I start looking?  It is triggered by deleting netns
> (cut-down script attached - triggers every time).  This was working
> correctly under v4.11.x.

Thanks for the report. I just reproduced this on my system. I believe
the problem is a missing NULL check for 'in_dev' in
call_fib_nh_notifiers(). I'll test a fix.